Main Page Namespace List Class Hierarchy Alphabetical List Data Structures File List Namespace Members Data Fields Globals

# ExManagerGizmo Class Reference

`#include <ExManagerGizmo.h>`

Inheritance diagram for ExManagerGizmo:

## Public Methods
void | Reset (void)
void | Init (void)
void | Draw (void)
## Static Public Methods
ExManagerGizmo * | CreateSingleton (void)
## Private Methods
| ExManagerGizmo (void)
| ~ExManagerGizmo (void)
## Static Private Attributes
bool | m_flag = false
ExManagerGizmo * | m_instance = NULL

## Constructor & Destructor Documentation

ExManagerGizmo | ( | void |  | ) | `[private]`

| Definition at line 43 of file ExManagerGizmo.cpp. References ExManagerGizmo(), and Guard. Referenced by ExManagerGizmo(), and ~ExManagerGizmo().
    00044 {
    00045 Guard(ExManagerGizmo::ExManagerGizmo(void))
    00046 UnGuard
    00047 }

~ExManagerGizmo | ( | void |  | ) | `[private]`

| Definition at line 50 of file ExManagerGizmo.cpp. References ExManagerGizmo(), and Guard.
    00051 {
    00052 Guard(ExManagerGizmo::~ExManagerGizmo(void))
    00053 UnGuard
    00054 }

## Member Function Documentation

ExManagerGizmo * CreateSingleton | ( | void |  | ) | `[static]`

| Definition at line 29 of file ExManagerGizmo.cpp. References CreateSingleton(), Guard, m_flag, and m_instance. Referenced by CreateSingleton(), and main().
    00029                                                    {
    00030 Guard(ExManagerGizmo* ExManagerGizmo::CreateSingleton(void))
    00031         if(!m_flag)
    00032         {
    00033                 m_flag = true; // We are creating the error log now, so set flag to true
    00034                 m_instance = new ExManagerGizmo; // Create the error log
    00035         }else
    00036         {
    00037                 std::cout<<"Error singleton already created"<<std::endl;
    00038         }
    00039         return m_instance;
    00040 UnGuard
    00041 }

void Draw | ( | void |  | ) |

| Reimplemented from ExManagerObject< ExCGizmo >. Definition at line 72 of file ExManagerGizmo.cpp. References Draw(), and Guard. Referenced by Draw(), and ExManagerOutput::DrawScene().
    00073 {
    00074 Guard(void  ExManagerGizmo::Draw(void))
    00075 UnGuard
    00076 }

void Init | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCGizmo >. Definition at line 65 of file ExManagerGizmo.cpp. References Guard, ExManagerObject::Init(), and Init(). Referenced by Init(), and InitManager().
    00066 {
    00067 Guard(void  ExManagerGizmo::Init(void))
    00068         ExManagerObject<ExCGizmo>::Init();
    00069 UnGuard
    00070 }

void Reset | ( | void |  | ) | `[virtual]`

| Reimplemented from ExManagerObject< ExCGizmo >. Definition at line 57 of file ExManagerGizmo.cpp. References Guard, ExManagerObject::Reset(), and Reset(). Referenced by ExManagerCommand::ProcesExCAction(), and Reset().
    00058 {
    00059 Guard(void  ExManagerGizmo::Reset(void))
    00060         ExManagerObject<ExCGizmo>::Reset();
    00061 UnGuard
    00062 }

## Field Documentation

bool m_flag = false`[static, private]`

| Definition at line 26 of file ExManagerGizmo.cpp. Referenced by CreateSingleton().

ExManagerGizmo * m_instance = NULL`[static, private]`

| Definition at line 27 of file ExManagerGizmo.cpp. Referenced by CreateSingleton().

The documentation for this class was generated from the following files:

- ExManagerGizmo.h
- ExManagerGizmo.cpp